Returns the Number of Tidy configuration errors encountered for specified document

- « tidy_access_count

- tidy_error_count »

- PHP Manual
- Tidy Functions
- Returns the Number of Tidy configuration errors encountered for specified document

# tidy_config_count

(PHP 5, PHP 7, PHP 8, PECL tidy >= 0.5.2)

tidy_config_count — Returns the Number of Tidy configuration errors encountered for specified document

### Description

tidy_config_count(tidy `$tidy`): int

Returns the number of errors encountered in the configuration of the specified tidy `tidy`.

### Parameters

`tidy`

  The Tidy object.

### Return Values

Returns the number of errors.

### Examples

Example #1 tidy_config_count() example

    <?php
    $html = '<p>test</I>';

    $config = array('doctype' => 'bogus');

    $tidy = tidy_parse_string($html, $config);

    /* This outputs 1, because 'bogus' isn't a valid doctype */
    echo tidy_config_count($tidy);
    ?>